Trigger Job
curl --request GET \
--url https://runchat.com/api/v1/job/{runchat_job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://runchat.com/api/v1/job/{runchat_job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://runchat.com/api/v1/job/{runchat_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": "<string>",
"data": [
{
"id": "<string>",
"label": "<string>",
"type": "string",
"description": "<string>",
"data": [
{}
]
}
],
"job_id": "<string>",
"runchat_id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Endpoints
Trigger Job
Trigger a saved Runchat job. Runs the scheduled flow inputs for flow jobs, or replays the saved chat template and runs the agent loop unattended for agent jobs.
GET
/
job
/
{runchat_job_id}
Trigger Job
Authorizations
Bearer token authentication using Runchat API key. API keys can be created from the account menu
Path Parameters
The unique identifier for the Runchat job. Jobs are created from the Tasks dashboard and back either a flow run or a saved agent chat.
Response
Successful job execution.